Package org.flowable.cmmn.api.delegate

# Interface ReadOnlyDelegatePlanItemInstance

All Superinterfaces:
  `PlanItemInstance`, `VariableContainer`

public interface ReadOnlyDelegatePlanItemInstance extends PlanItemInstance, VariableContainer

Author:
  Filip Hrisafov

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PlanItem`
  `getPlanItem()`
  `default PlanItemDefinition`
  `getPlanItemDefinition()`
  `default void`
  `setLocalizedName(String localizedName)`
  Sets an optional localized name for the plan item
  `default void`
  `setTransientVariable(String variableName, Object variableValue)`
  `default void`
  `setVariable(String variableName, Object variableValue)`

  ### Methods inherited from interface org.flowable.cmmn.api.runtime.PlanItemInstance

  `getAssignee, getCaseDefinitionId, getCaseInstanceId, getCompletedBy, getCompletedTime, getCreateTime, getDerivedCaseDefinitionId, getElementId, getEndedTime, getEntryCriterionId, getExitCriterionId, getExitTime, getExtraValue, getFormKey, getId, getLastAvailableTime, getLastDisabledTime, getLastEnabledTime, getLastStartedTime, getLastSuspendedTime, getLastUnavailableTime, getName, getOccurredTime, getPlanItemDefinitionId, getPlanItemDefinitionType, getPlanItemInstanceLocalVariables, getReferenceId, getReferenceType, getStageInstanceId, getStartTime, getStartUserId, getState, getTenantId, getTerminatedTime, isCompletable, isStage`

  ### Methods inherited from interface org.flowable.common.engine.api.variable.VariableContainer

  `getTenantId, getVariable, getVariableNames, hasVariable`

- ## Method Details

  - ### getPlanItem

    PlanItem getPlanItem()

  - ### getPlanItemDefinition

    default PlanItemDefinition getPlanItemDefinition()

  - ### setVariable

    default void setVariable(String variableName, Object variableValue)
    Specified by:
      `setVariable` in interface `VariableContainer`

  - ### setTransientVariable

    default void setTransientVariable(String variableName, Object variableValue)
    Specified by:
      `setTransientVariable` in interface `VariableContainer`

  - ### setLocalizedName

    default void setLocalizedName(String localizedName)
    Description copied from interface: `PlanItemInstance`
    Sets an optional localized name for the plan item
    Specified by:
      `setLocalizedName` in interface `PlanItemInstance`